global:
  registry: docker.io
  repository: freeleaps
  nodeSelector: {}
dashboard:
  enabled: true
  name: freeleaps-prod-devsvc-dashboard
  title: Dev Service Dashboard (PROD)
  metricsPrefix: freeleaps_devsvc
logIngest:
  enabled: true
  lokiEndpoint: http://loki-gateway.freeleaps-logging-system
  logPathPattern: /app/log/devsvc/*.log
  logPath: /app/log/devsvc
devsvc:
  replicas: 1
  image:
    registry: docker.io
    repository: null
    name: devsvc
    tag: snapshot-b06f05e
    imagePullPolicy: IfNotPresent
  ports:
  - name: http
    containerPort: 8007
    protocol: TCP
  resources:
    requests:
      cpu: 200m
      memory: 64Mi
    limits:
      cpu: 300m
      memory: 512Mi
  probes:
    readiness:
      type: httpGet
      config:
        path: /api/_/readyz
        port: 8007
        initialDelaySeconds: 5
        periodSeconds: 30
        timeoutSeconds: 3
        successThreshold: 1
        failureThreshold: 3
    liveness:
      type: httpGet
      config:
        path: /api/_/livez
        port: 8007
        initialDelaySeconds: 5
        periodSeconds: 15
        timeoutSeconds: 3
        successThreshold: 1
        failureThreshold: 3
        terminationGracePeriodSeconds: 30
  services:
  - name: devsvc-service
    type: ClusterIP
    port: 8007
    targetPort: 8007
    serviceMonitor:
      enabled: true
      labels:
        release: kube-prometheus-stack
      namespace: freeleaps-monitoring-system
      interval: 30s
      scrapeTimeout: ''
  ingresses: []
  configs:
    tz: UTC
    appName: devsvc
    serviceApiAccessHost: 0.0.0.0
    serviceApiAccessPort: 8007
    mongodbName: freeleaps2
    giteaUrl: http://freeleaps-prod-gitea-http.freeleaps-prod.svc.freeleaps.cluster:3000
    giteaDepotOrganization: products
    codeDepotHttpPort: 443
    codeDepotSshPort: 22
    codeDepotDomainName: gitea.freeleaps.mathmast.com
    metricsEnabled: 'true'
    probesEnabled: 'true'
    logBasePath: /app/log/devsvc
    rabbitmqHost: freeleaps-prod-rabbitmq-headless.freeleaps-prod.svc.freeleaps.cluster
    rabbitmqPort: 5672
    rabbitmqUsername: user
    rabbitmqVirtualHost: /
    defaultGitUsername: freeleaps-admin
    devopsDockerRegistryUrl: https://hub.docker.com
    devopsDockerRegistryRepositoryName: freeleapsdevops
    devopsDockerRegistryUsername: freeleapsdevops
  secrets:
    secretStoreRef:
      kind: FreeleapsSecretStore
      name: freeleaps-main-secret-store
    target:
      name: freeleaps-devsvc-secrets
      creationPolicy: Owner
    refreshInterval: 30s
    data:
    - key: giteaToken
      remoteRef:
        key: freeleaps-prod-gitea-token
        type: Secret
    - key: mongodbUri
      remoteRef:
        key: freeleaps-prod-mongodb-uri
        type: Secret
    - key: rabbitmqPassword
      remoteRef:
        key: freeleaps-prod-rabbitmq-password
        type: Secret
    - key: defaultGitPassword
      remoteRef:
        key: freeleaps-prod-gitea-password
        type: Secret
    - key: devopsDockerRegistryPassword
      remoteRef:
        key: freeleaps-prod-devops-docker-registry-password
        type: Secret
  vpa:
    minAllowed:
      enabled: true
      cpu: 100m
      memory: 64Mi
    maxAllowed:
      enabled: true
      cpu: 200m
      memory: 512Mi
    controlledResources:
    - cpu
    - memory
